Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.util
Class AliasGenerator

    java.lang.Object
      org.hibernate.hql.internal.ast.util.AliasGenerator

    public class AliasGenerator

extends Object

Generates class/table/column aliases during semantic analysis and SQL rendering.

Its essential purpose is to keep an internal counter to ensure that the generated aliases are unique.

Constructor Summary
`AliasGenerator()`

Method Summary
`String` | `createName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasGenerator

    public AliasGenerator()

Method Detail

### createName

    public String createName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.